Bug 1181599 (CVE-2014-9483) - CVE-2014-9483 emacs: left-click modifies the PRIMARY selection
Summary: CVE-2014-9483 emacs: left-click modifies the PRIMARY selection
Status: CLOSED CURRENTRELEASE
Alias: CVE-2014-9483
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20141228,reported=2...
Keywords: Security
Depends On: 1181600
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-13 12:52 UTC by Martin Prpič
Modified: 2019-06-08 20:21 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-05-27 07:48:32 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-01-13 12:52:24 UTC
It was reported that a left-click in Emacs sometimes modifies the PRIMARY selection. Due to this bug, a paste with a middle click in a web browser can end up in pasting private data.

This flaw affects Emacs version 24.4 only.

Original report (also contains a reproducer):

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=774090

CVE request and assignment:

http://www.openwall.com/lists/oss-security/2015/01/03/15

Comment 1 Martin Prpič 2015-01-13 12:52:57 UTC
Created emacs tracking bugs for this issue:

Affects: fedora-all [bug 1181600]

Comment 2 Petr Hracek 2015-05-27 07:48:32 UTC
Because of all versions rawhide, F22 and F21 have emacs-24.5 then I close the bug as CLOSED->CURRENTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.